Bug 7466

Summary: gtk-builder-convert not included in libgtk2.0-dev
Product: [Maemo Official Platform] Development platform Reporter: Ove Kaaven <ovek>
Component: SDKAssignee: Soumya <soumya.3.bijjal>
Status: NEW QA Contact: sdk-bugs
Severity: normal    
Priority: Low CC: andre_klapper, murrayc
Version: 5.0-final   
Target Milestone: ---   
Hardware: All   
OS: Maemo   

Description Ove Kaaven (reporter) 2009-12-30 05:46:47 UTC
SOFTWARE VERSION:
Scratchbox (FREMANTLE_X86 target)

EXACT STEPS LEADING TO PROBLEM: 
1. apt-get install libgtk2.0-dev
2. try to compile something that needs gtk-builder-convert

EXPECTED OUTCOME:
gtk-builder-convert is found by configure and make

ACTUAL OUTCOME:
gtk-builder-convert does not exist

REPRODUCIBILITY:
always

EXTRA SOFTWARE INSTALLED:

OTHER COMMENTS:
The Debian package of libgtk2.0-dev includes gtk-builder-convert. It's a tool
to convert glade files to xml files that can be read by the GtkBuilder API,
which does seem to be available on the Maemo platform, judging by the presence
of /usr/include/gtk-2.0/gtk/gtkbuilder.h in Scratchbox. The SyncEvolution build
system wants to use it when building the UI.
Comment 1 Andre Klapper maemo.org 2009-12-30 13:54:38 UTC
Thanks for reporting this.
gtk-builder-convert is definitely available in upstream GTK 2.12 as per
http://library.gnome.org/devel/gtk/2.12/gtk-builder-convert.html .
Comment 2 Murray Cumming 2011-06-30 12:07:31 UTC
This upstream syncevolution patch would also fix this case:
https://bugs.meego.com/show_bug.cgi?id=20370